> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cccambox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Line

> Permanently delete a line from the system.



## OpenAPI

````yaml /openapi.json delete /v1/lines
openapi: 3.1.0
info:
  version: 1.0.0
  title: CCCAMBOX Reseller API
  description: >-
    CCCambox Reseller API provides programmatic access to manage IPTV
    subscriptions and line management. Use this API to automate operations like
    creating new lines, managing packages, handling credits. Includes endpoints
    for subscriber management, package configuration, and line monitoring. Built
    for resellers to efficiently scale their IPTV business operations.
servers: []
security: []
paths:
  /v1/lines:
    delete:
      tags:
        - Line Management
      summary: Remove Line
      description: Permanently delete a line from the system.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: >-
                    The ID of the line. Either the ID or the username or the MAC
                    address is required to run this request.
                username:
                  type: string
                  description: The username of the line.
                macaddress:
                  type: string
                  description: MAC address of the line.
      responses:
        '200':
          description: 'Ok: Line deleted'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
                example:
                  success: true
        '400':
          description: 'Bad Request: Errors in supplied parameters.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - request_errors
                  message:
                    type: string
                    example: Request error occurred.
                  data:
                    type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - message
                            - path
                    required:
                      - errors
                required:
                  - code
                  - message
                  - data
        '401':
          description: 'Auth Error: Not authorized.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_authorized
                  message:
                    type: string
                    example: Not authorized to perform this action.
                required:
                  - code
                  - message
        '404':
          description: 'Line Not Found: The line you''re looking for could not be found.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - line_not_found
                  message:
                    type: string
                    example: Line not found.
                required:
                  - code
                  - message
        '429':
          description: 'Rate limit error: too many requests.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit
                  message:
                    type: string
                    example: Rate limit exceeded.
                required:
                  - code
                  - message
        '500':
          description: 'Server Error: handler died.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - server_error
                  message:
                    type: string
                    example: Internal server error occurred.
                  requestId:
                    type: string
                required:
                  - code
                  - message
                  - requestId
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API Key
      name: x-api-key
      in: header

````